.blog-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 20px;
    /* transform: translateX(10%); */
    margin: 28px 25px;
}

.blog h1 {
    text-align: center;
    margin: 20px 0;
    color: #000;
    text-transform: uppercase;
}

.blog {
    width: 100%;
    max-width: 1360px;
    margin: 5rem auto;
}

.blog-post {
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    transition: transform 0.3s;
}

.blog-post:hover {
    transform: translateY(-5px);
}

.blog-post img {
    width: 100%;
    height: 200px;
    /* Set a base height */
    object-fit: cover;
    /* Ensure the image maintains its aspect ratio and is cropped to fit */
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}


.blog-post h2 {
    padding: 15px;
    font-size: 1.5em;
}

.date {
    font-size: 0.9em;
    color: #00000089;
    padding: 0 15px;
}

.blog-post p {
    padding: 0 15px 15px;
}

.read-more {
    display: inline-block;
    margin: 15px;
    padding: 10px 15px;
    background: #FC380E;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    transition: background 0.3s;
}

.read-more:hover {
    background: #555;
}

footer {
    text-align: center;
    padding: 20px 0;
    background: #333;
    color: #fff;
}

/* Media query for smaller screens */
@media screen and (max-width: 768px) {
    .blog-post img {
        height: 150px;
        /* Decrease height for smaller screens */
    }
}

/* Media query for very small screens like mobile */
@media screen and (max-width: 480px) {
    .blog-post img {
        height: 120px;
        /* Further decrease height for mobile */
    }
}